{ config, lib, pkgs, modulesPath, ... }:
{
  boot = {
    kernelModules = [ "kvm-intel" ];
    initrd = {
      availableKernelModules = [
        "ehci_pci"
	"ata_piix"
	"usbhid"
	"usb_storage"
	"sd_mod"
	"sr_mod"
      ];
      kernelModules = [ "dm-snapshot" ];
    };
  };

  fileSystems = {
    # Network mounts
    "/home/jimbo/JimboNFS" = {
      device = "${config.ips.server}:/export/JimboNFS";
      fsType = "nfs4";
      options = [ "x-systemd.automount" "_netdev" "nofail" "noauto" ];
    };
  };

  networking.useDHCP = lib.mkDefault true;
  nixpkgs.hostPlatform = lib.mkDefault "x86_64-linux";
  hardware.cpu.intel.updateMicrocode = lib.mkDefault config.hardware.enableRedistributableFirmware;
}
